Package org.apache.catalina.valves.rewrite

## Class RewriteCond.Condition

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RewriteCond.Condition

Direct Known Subclasses:
  `RewriteCond.LexicalCondition`, `RewriteCond.PatternCondition`, `RewriteCond.ResourceCondition`

Enclosing class:
  RewriteCond

    public abstract static class RewriteCond.Condition
    extends Object

### Constructor Summary

Constructors
`Condition()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `evaluate​(String value, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Condition

    public Condition()

### Method Detail

#### evaluate

    public abstract boolean evaluate​(String value,
                                     Resolver resolver)